http_port 3128 accel defaultsite="{{ squid_cache_peer['addr'] }}"

cache_dir ufs /var/spool/squid 2000 16 256
cache_replacement_policy heap LFUDA

refresh_pattern -i .rpm$ 129600 100% 129600 refresh-ims override-expire
refresh_pattern -i .iso$ 129600 100% 129600 refresh-ims override-expire
refresh_pattern ^ftp:           1440    20%     10080
refresh_pattern ^gopher:        1440    0%      1440
refresh_pattern -i (/cgi-bin/|\?) 0     0%      0
refresh_pattern .               0       20%     4320

maximum_object_size 200 MB

acl Safe_ports port 80
acl Safe_ports port 443
acl internal src 10.0.0.0/24

http_access allow Safe_ports
http_access allow internal
http_access deny all

cache_peer {{ squid_cache_peer['addr'] }} parent 80 0 no-query originserver name={{ squid_cache_peer['name'] }}
cache_peer_access {{ squid_cache_peer['name'] }} allow internal
